all	:
	# make drivers
	make -C ./driver/Platform
	make -C ./driver/GPIO
	make -C ./driver/FMC
	make -C ./driver/ADC
	make -C ./driver/I2C 
	make -C ./driver/SPI
	make -C ./driver/GPIO_I2C
	
	# make apps
	make -C ./bmc
	make -C ./goahead-3.6.5
	make -C ./test_app
	make -C ./ipmitool-1.8.18
	make -C ./UpdateFirmware
clean	: 
	make -C ./goahead-3.6.5 clean
	make -C ./bmc clean
	make -C ./test_app clean
	make -C ./ipmitool-1.8.18 clean
	make -C ./UpdateFirmware clean

	make -C ./driver/Platform clean
	make -C ./driver/GPIO clean
	make -C ./driver/FMC clean
	make -C ./driver/ADC clean
	make -C ./driver/I2C clean
	make -C ./driver/SPI clean
	make -C ./driver/GPIO_I2C clean